Flux RSS configurable

Ce plugin vous permet de personnaliser le fonctionnement de votre flux RSS à l’aide d’un formulaire dans l’espace privé.

Installation

Pour fonctionner, ce plugin nécessite que le plugin Itérateurs soit installé et activé sur votre site.

Par ailleurs, si vous avez personnalisé le squelette backend.html dans votre répertoire squelettes/, le plugin ne pourra pas fonctionner car votre fichier personnalisé backend.html sera prioritaire sur celui du plugin.

Fonctionnement

Une fois installé, vous pourrez accéder au formulaire de configuration du plugin via une icône dédiée dans le menu Configuration (ou Squelettes si vous utilisez le nouveau bandeau pour SPIP).

Vous pourrez ainsi choisir le nombre d’articles à inclure dans le flux, les auteurs à afficher pour les articles, de diffuser ou non les documents joints...

L’URL d’accès à votre flux RSS reste inchangée, à savoir http://mon.site.net/spip.php?page=backend.

Comme pour le flux RSS par défaut de SPIP, vous pouvez restreindre le flux aux articles d’une branche, associés à un mot-clé, d’un auteur ou dans une langue donnée en ajoutant à l’URL le paramètre adéquat, respectivement id_rubrique, id_mot, id_auteur ou lang.

Flux des brèves

À partir de la version 2 du plugin, ce dernier prend en charge également le flux RSS des brèves. Le flux des brèves peut être désactivé, indépendant (via spip.php?page=backend-breves) ou bien fusionné avec le flux des articles (dans spip.php?page=backend).

Les paramètres de configuration pour le flux des brèves sont les mêmes que ceux du flux des articles.

Flux des sites référencés

À partir de la version 2.0.6 du plugin, ce dernier prend en charge également le flux RSS des sites référencés. Le flux des sites peut être désactivé, indépendant (via spip.php?page=backend-sites) ou bien fusionné avec le flux des articles (dans spip.php?page=backend).

Les paramètres de configuration pour le flux des sites référencés sont les mêmes que ceux du flux des articles et brèves.

Fichier spip.php?page=backend

Depuis la version 2.0.6 du plugin, dans le fichier fusionné spip.php?page=backend, les fluxs sont “mélangés”, le tri se faisant sur la date.
Il n’y a plus de blocs par type d’objet (article/brève/site).

updated on 6 April 2020

Discussion

18 discussions

  • Bonjour,

    J’ai installé le plugin “Flux RSS configurable 2.0.8” pour voir un flux contenant les articles mis à jour.

    J’ai configuré les articles à inclure avec les critaires suivants :
    -  Critère de nombre : 20
    -  Critère d’âge : 20
    -  Modifiés récemment : 20

    J’enregistre la configuration, je clique sur RSS 2.0 (page=backend). Je recois bien un flux, disposant uniquement des artciles dans l’ordre de création. Est-ce qu’il configurer le pluging d’une autre maniére ?

    Reply to this message

  • 1

    Bonjour,

    J’ai apporté 2 modifications :
    -  aout des sites référencés (y compris paramétrage dans l’interface privée)
    -  les fluxs sont maintenant mélangés (articles, brèves, sites) et classés par date décroissante

    Version 2.0.6.

    Je n’ai pas accès à l’article en modification pour compléter la doc, aors je l’indique dans ce commentaire.

    Ca vous va ?

    • Je t’ai rajouté comme auteur de l’article. N’oublie pas d’ajouter ton nom comme contributeur dans paquet.xml.

      Merci pour tes contributions au plugin.

      Cdlt

    Reply to this message

  • 1

    Bonjour,
    Merci pour vos solutions :
    Une nouvelle erreur se produit, “Erreur d’analyse XML : instruction de traitement XML ou texte pas au début d’une entité externe” et en utilisant toutes les astuces précédemment expliquées, les solutions demeurent introuvables :

    Le message qui apparait sur le flux backend concerné :

      {
        const open = XMLHttpRequest.prototype.open;
        XMLHttpRequest.prototype.open = function (method, url) {
          open.apply(this, arguments);
          this.addEventListener('readystatechange', function _() {
            if(this.readyState == this.HEADERS_RECEIVED) {
              const contentType = this.getResponseHeader('Content-Type') || '';
              if (contentType.startsWith('video/') || contentType.startsWith('audio/')) {
                window.postMessage({
                  source: 'xmlhttprequest-open',
                  url,
                  method,
                  contentType
                }, '*');
              }
              this.removeEventListener('readystatechange', _);
            }
          })
        }
      }
      Erreur d’analyse XML : instruction de traitement XML ou texte pas au début d’une entité externe
    Emplacement : https://www.lettonie-francija.fr/spip.php?page=backend
    Numéro de ligne 4, Colonne 1 :<?xml 
    ^

    Une astuce, un oubli ?

    • Bonjour,

      J’ai retrouvé la solution à partir des réponses aux messages du forum spip
      Backend & flux RSS problématique ici : https://forum.spip.net/fr_264535.html

      “Erreur d’analyse XML : instruction de traitement XML ou texte pas au début d’une entité externe”

      C’était simplement occasionné par une ligne vierge avec “retour chariot” invisible dans le fichier “mes_options.php” situé dans /config.

      Tout fonctionne correctement.

    Reply to this message

  • Bonjour,
    j’ai installé ce plugin sur mon site en https mais j’ai le soucis que le flux n’est pas valide (Feed Validator) au niveau des enclosures.
    (This feed does not validate.
    line 135, column 2: url must be a full URL: https://www.productivix.com/IMG/csv/operations_girouette_20180207152038723.csv [help]
    /www.productivix.com/IMG/csv/operations_girouette_2" class='spip_url spip_out auto' rel='nofollow external'>https://www.productivix.com/IMG/csv/operations_girouette_2 ...)
    Alors je ne sais pas d’où cela vient.
    (le lien RSS est https://www.productivix.com/spip.php?page=backend)

    Reply to this message

  • 1

    Bonjour,

    Je rencontre un erreur assez contrariante :

    Erreur d'analyse XML : instruction de traitement XML ou texte pas au début d'une entité externe
    Emplacement : http://test.leotxando.net/spip.php?page=backend
    Numéro de ligne 1, Colonne 5 :    <?xml
    ----^

    j’ai vérifié mon backend.html, j’ai essayé de le triturer mais rien y fait. L’erreur semble bel et bien sur l’interprétation du <?xml :’(

    Je n’ai pas de backend.html dans mon squelette, j’ai même supprimé celui dans le dist...

    Je n’ai aucun espace avant ou après cette balise... je suis totalement désemparée :D

    voici le lien vers le fichier :
    http://test.leotxando.net/plugins/rss_configurable_v2/backend.html

    il y a un htpasswd : id : spip
    mdp : testspip

    merci pour votre aide !

    • Jaseur Boréal

      Bonjour,

      Après avoir détricoté, enlevé les noeuds, les espaces qui dépassaient, retricoté le fichier “backend.html” le problême persistait. Il est maintenant résolu très facilement !

      Ce même problème a été résolu grâce au commentaire de @rubenxela en Novembre 2016 : https://forum.spip.net/fr_189971.html?debut_forums=%40265637#forum265637

      J’ai simplement supprimé une ligne vierge qui s’était insinuée dans “/config/mes_options.php”

      «9 ans après le problème de validité de backend.php se pose encore à cause de ce fameux problème d’en tête. J’ai dû régler le soucis sur plusieurs sites ces dernières semaines, systématiquement il m’a fallu simplement supprimer les espaces vides et inutiles dans config/mes_options.php»

    Reply to this message

  • Jaseur Boréal

    Bonjour,

    Comment faire pour que la souris passant sur le bouton RSS d’une RUBRIQUE
    Ce soit le nom du flux RSS de cette rubrique qui apparaisse.
    et non le message “Syndiquer tout le site”.

    Comment afficher un message variable selon la rubrique ?
    Une idée ?

    Merci de vos solutions.

    @JB

    Reply to this message

  • 2

    Bonjour,

    Je rencontre un erreur assez contrariante :

    Erreur d'analyse XML : instruction de traitement XML ou texte pas au début d'une entité externe
    Emplacement : http://test.leotxando.net/spip.php?page=backend
    Numéro de ligne 1, Colonne 5 :    <?xml
    ----^ 

    j’ai vérifié mon backend.html, j’ai essayé de le triturer mais rien y fait. L’erreur semble bel et bien sur l’interprétation du <?xml  :'( 

    Je n'ai pas de backend.html dans mon squelette, j'ai même supprimé celui dans le dist...

    Je n'ai aucun espace avant ou après cette balise... je suis totalement désemparée :D

    voici le lien vers le fichier :
    http://test.leotxando.net/plugins/rss_configurable_v2/backend.html

    il y a un htpasswd : id : spip
    mdp : testspip

    merci pour votre aide !

    • Affaire résolu :(

      il m a suffit de supprimer la ligne :
      <?xml version="1.0"[ encoding="(#CHARSET)"]?>

      et tout fonctionne... c’est normal de passer par là ?

      merci à vous !

    • Même soucis que toi, j’ai testé le backend marche pour Safari et Opéra. Chrome et FF non. Si je supprime la ligne comme tu l’as fait, ça marche pour Chrome mais pas FF.

      Plus étrange, avec le même fichier backend sur un autre site je n’ai aucun soucis... ???

    Reply to this message

  • 8

    Bonjour à tous,
    J’ai installé la contrib et j’ai un soucis.
    Tout est configuré avec Syndication intégrale = non.
    Pour les brèves, pas de soucis.
    Là, je viens d’écrire un article et le flux RSS donne l’article complet au-lieu d’un résumé.
    Si quelqu’un a une idée pour résoudre mon problème ?
    Merci.

    Reply to this message

  • 2

    Salut Joseph,

    merci pour ce plugin très utile, je l’utilise sur quasiment tout mes sites...

    Mon souci, c’est qu’en SPIP 3.0.14 avec la version 2.0 du plugin, je ne peux pas ajouter de rubriques : j’ai bien accès à l’arborescence de mon site, mais après avoir ajouté une rubrique puis valider les changements, ma rubrique n’apparaît pas dans la liste des rubriques à inclure. Et quand je regarde dans la base, ma rubrique n’est pas ajoutée.

    Ce qui est étonnant, c’est qu’après mise à jour sur des sites où j’utilisais précédemment la version 1.4.1 (qui fonctionnait), les rubrique sont toujours présentes dans la base et le plugin fait bien sont boulot, mais je ne vois pas non plus mes rubriques sur la page de config du plugin (et je ne peux ni en ajouter ni en supprimer).

    As-tu une idée?
    Merci,

    jeanmarie

    Reply to this message

  • 2

    Hello Joseph,

    Quel est l’intérêt encore pour la branche 1 de conserver la compatibilité à SPIP 3 étant donné que le trunk la fournit déjà ? Si il n’y en aucun ce serait bien de la virer pour éviter aux utilisateurs de se poser des questions.

    PS: j’ai changé la catégorie.

    • Tu voudrais indiquer une compat uniquement SPIP 2.1 pour la branche 1 ?

      Moi ça ne me pose pas problème si tu penses que ce sera plus clair. C’est juste que la v1 était compatible v3 même si pas de manière optimale.

      Le passage à la v2 apporte en particulier un support du flux des brèves.

      PS : je fais la modif, mais ne pourrai poster le commit que plus tard (proxy au boulot et plus d’internet à la maison car quelqu’un a volé les cables du téléphone dans la rue !)

    • OK, j’ai supprimé la compat spip 3 pour la branche 1.

    Reply to this message

Ajouter un commentaire

Who are you?
[Log in]

To show your avatar with your message, register it first on gravatar.com (free et painless) and don’t forget to indicate your Email addresse here.

Enter your comment here

This form accepts SPIP shortcuts {{bold}} {italic} -*list [text->url] <quote> <code> and HTML code <q> <del> <ins>. To create paragraphs, just leave empty lines.

Add a document

Follow the comments: RSS 2.0 | Atom